## javax.xml.rpc.holders
Class BigDecimalHolder

    java.lang.Object
      javax.xml.rpc.holders.BigDecimalHolder

All Implemented Interfaces:
  Holder

public final class BigDecimalHolder
extends java.lang.Object
implements Holder

Holder for `BigDecimal`s.

Version:
  1.0

Field Summary
`java.math.BigDecimal` `value` The `BigDecimal` contained by this holder.

Constructor Summary
`BigDecimalHolder()` Make a new `BigDecimalHolder` with a `null` value.
`BigDecimalHolder(java.math.BigDecimal value)` Make a new `BigDecimalHolder` with `value` as the value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public java.math.BigDecimal value

  The `BigDecimal` contained by this holder.

Constructor Detail

### BigDecimalHolder

    public BigDecimalHolder()

  Make a new `BigDecimalHolder` with a `null` value.

### BigDecimalHolder

    public BigDecimalHolder(java.math.BigDecimal value)

  Make a new `BigDecimalHolder` with `value` as the value.

Parameters:
  `value` - the `BigDecimal` to hold

Copyright © 2005 Apache Web Services Project. All Rights Reserved.